<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hdkj.lt.mq.mapper.abnormal.FhzgOperationAbnormalityLineLoadfactorLossMapper">

    <resultMap id="BaseResultMap"
               type="com.hdkj.lt.core.bizms.modle.po.operationAbnormality.FhzgOperationAbnormalityLineLoadfactorLoss">
        <id property="id" column="id" jdbcType="BIGINT"/>
        <result property="oaId" column="oa_id" jdbcType="BIGINT"/>
        <result property="psrId" column="psr_id" jdbcType="INTEGER"/>
        <result property="psrType" column="psr_type" jdbcType="VARCHAR"/>
        <result property="name" column="name" jdbcType="VARCHAR"/>
        <result property="rateCurrent" column="rate_current" jdbcType="DECIMAL"/>
        <result property="beforeCurrent" column="before_current" jdbcType="DECIMAL"/>
        <result property="afterCurrent" column="after_current" jdbcType="DECIMAL"/>
        <result property="beforeDayCurrent" column="before_day_current" jdbcType="VARCHAR"/>
        <result property="afterDayCurrent" column="after_day_current" jdbcType="VARCHAR"/>
        <result property="lineLossBefore" column="line_loss_before" jdbcType="DECIMAL"/>
        <result property="lineLossAfter" column="line_loss_after" jdbcType="DECIMAL"/>
        <result property="creator" column="creator" jdbcType="BIGINT"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="lastEditor" column="last_editor" jdbcType="BIGINT"/>
        <result property="lastTime" column="last_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        id
        ,oa_id,psr_id,
        psr_type,name,rate_current,
        before_current,after_current,before_day_current,
        after_day_current,line_loss_before,line_loss_after,
        creator,create_time,last_editor,
        last_time
    </sql>
</mapper>
